# Imports ## Upload Excel to Import Manager - [POST /importmanager.upload/{slotId}/{typeCode}/{target}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/imports/post-importmanager.upload-(slotid)-typecode-target.md): Uploads an Excel file to a specific import via the upload slot created by /uploadmanager.newuploadslot. Use the optional managerUN query parameter to specify the unique name of the Import Manager. The maximum file size: 1GB ## List ImportManager Changes - [POST /importmanager.fetchchanges/{uniqueName}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/imports/post-importmanager.fetchchanges-uniquename.md): Retrieves all, or filtered, changes for the specified ImportManager. ## Delete Import Changes - [POST /importmanager.deletechanges](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/imports/post-importmanager.deletechanges.md): Reverts all changes specified in the request body. ## Save Import Change - [POST /importmanager.savechange](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/imports/post-importmanager.savechange.md): Saves or updates an Import Change identified by Import Manager uniquename, type of change, target column name, target primary keys. ## Submit Changes - [POST /importmanager.submit/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/imports/post-importmanager.submit-typedid.md): Writes the changes made by the user in the Import Manager to the database. The changes are subject to validation against the data in the database. All the changes must pass the validation for the submit to be successful. ## Mass Edit Imports - [POST /importmanager.massedit/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/imports/post-importmanager.massedit-typedid.md): Mass updates changes in Import Manager. ## Mass Delete Imports - [POST /importmanager.massdelete/{typedId}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/imports/post-importmanager.massdelete-typedid.md): Mass deletes changes in Import Manager. ## Create Empty Import Manager Instance - [POST /importmanager.add/{typeCode}/{target}](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/imports/post-importmanager.add-typecode-target.md): Creates an empty Import Manager instance without uploading a file. It was introduced to support Import Manager-based editing directly from the UI, including the Data Change Request replacement flow. The endpoint accepts the same path parameters as importmanager.upload, but without slotId. The implementation summary specifies these parameters: typeCode as a compulsory parameter and target as an optional parameter. ## List Objects Secured by Workflow Logic - [POST /importmanager.fetchconfiguredworkflows](https://api.pricefx.com/openapi/reference/pricefx-server_openapi/imports/post-importmanager.fetchconfiguredworkflows.md): Returns the list of objects currently secured by configured Import Manager workflow logic. The endpoint provides the workflow identifier together with the target object and optional target specifics. Only objects secured by active and valid workflow logics are returned.